<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
only_reg();
$set['title']='Онлайн Поддержка'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
err();
aut();

if (isset($user) && $user['level']>2)include 'inc/admin_act.php';
if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>2024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `adm_chat` WHERE `id_user` = '$user[id]' AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_escape_string($msg);
mysql_query("INSERT INTO `adm_chat` (id_user, time, msg) values('$user[id]', '$time', '$msg')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
$q=mysql_query("SELECT `id` FROM `user`
WHERE `level` > '1'");
while ($ank = mysql_fetch_assoc($q))
{
mysql_query("INSERT INTO
`podderjka` (id_user, id_kont, time,
msg)
values('0', '$ank[id]', '$time',
'$msg')");
}
msg('Сообщение успешно добавлено');
}
}


echo "<div style='background-color:#B0C4DE;border-top:1px solid #000000;border-bottom:1px solid #000000;padding:1px'>\n";
echo "<b>Также все свои вопросы вы можете задать нашим помощникам прямо здесь!</b><br><a href='/support/rules_support.php'><font color='red'>SUPPORT ПРАВИЛА</font></a>\n";
echo "</div>\n";
echo "<div class='rowup'>";
echo "<b>Сообщении:</b>";  echo ' (';@include H.'support/count.php';echo ')<br />';
echo "</div>\n";
if (isset($user))

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `adm_chat`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет сообщений\n";
}

$q=mysql_query("SELECT * FROM `adm_chat` ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
if($num==1){
echo "<div class='rowup'>";
$num=0;

}else{
echo "<div class='rowdown'>";
$num=1;}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
echo "".online($ank['id'])." ";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a><br> (".vremja($post['time']).")<br/>\n";
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."\n";

if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))
echo "<div class='niz' align='right'>[ <a href='delete.php?id=$post[id]'>Удал.</a> ]<br />\n";
echo'</div>';
echo"</div>";
}
echo "<hr>\n";
echo "<div class='w'>";

{
echo "<form method=\"post\" action=\"?\">\n";
echo "Сообщение: <a href='/smiles/index.php'>Смайлы</a> | <a href='/bb-
code.php'>ВВ-Коды</a><br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `level` <> '0'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет результатов\n";
}
$q=mysql_query("SELECT * FROM `user` WHERE `level` <> '0' ORDER BY `level` DESC LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_array($q))
{

}
echo "</div>";

echo "<div class='aut'>";
echo "<a href='javascript:history.back(1)'>Назад</a><br/></DIV>";
echo "</div>\n";

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц

if (isset($user) && $user['level']>2)include 'inc/admin_form.php';
include_once '../sys/inc/tfoot.php';
?>
